Index: kernel/test/avltree/avltree1.def
===================================================================
--- kernel/test/avltree/avltree1.def	(revision 4d0081b03612519a87ec783206812895edace8cf)
+++ kernel/test/avltree/avltree1.def	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -1,5 +1,5 @@
 {
 	"avltree1",
-	"Test Avl tree operations",
+	"Test AVL tree operations",
 	&test_avltree1,
 	true
Index: kernel/test/fpu/fpu1.c
===================================================================
--- kernel/test/fpu/fpu1.c	(revision 4d0081b03612519a87ec783206812895edace8cf)
+++ kernel/test/fpu/fpu1.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -28,6 +28,4 @@
  */
 
-#if (defined(ia32) || defined(amd64) || defined(ia64) || defined(ia32xen))
-
 #include <print.h>
 #include <debug.h>
@@ -227,4 +225,2 @@
 	return "Test failed";
 }
-
-#endif
Index: kernel/test/fpu/fpu1.def
===================================================================
--- kernel/test/fpu/fpu1.def	(revision 4d0081b03612519a87ec783206812895edace8cf)
+++ kernel/test/fpu/fpu1.def	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -1,3 +1,2 @@
-#if (defined(ia32) || defined(amd64) || defined(ia64) || defined(ia32xen))
 {
 	"fpu1",
@@ -6,3 +5,2 @@
 	true
 },
-#endif
Index: kernel/test/fpu/fpu1_skip.c
===================================================================
--- kernel/test/fpu/fpu1_skip.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
+++ kernel/test/fpu/fpu1_skip.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -0,0 +1,34 @@
+/*
+ * Copyright (c) 2009 Martin Decky
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#include <test.h>
+
+char * test_fpu1(bool quiet)
+{
+	return NULL;
+}
Index: kernel/test/fpu/mips2.c
===================================================================
--- kernel/test/fpu/mips2.c	(revision 4d0081b03612519a87ec783206812895edace8cf)
+++ kernel/test/fpu/mips2.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -27,6 +27,4 @@
  */
 
-#ifdef mips32
-
 #include <print.h>
 #include <debug.h>
@@ -39,7 +37,7 @@
 #include <arch.h>
 
-#define THREADS		50
-#define DELAY   	10000L
-#define ATTEMPTS        5
+#define THREADS   50
+#define DELAY     10000L
+#define ATTEMPTS  5
 
 static atomic_t threads_ok;
@@ -57,5 +55,5 @@
 	
 	waitq_sleep(&can_start);
-
+	
 	for (i = 0; i < ATTEMPTS; i++) {
 		asm volatile (
@@ -90,5 +88,5 @@
 	
 	waitq_sleep(&can_start);
-
+	
 	for (i = 0; i < ATTEMPTS; i++) {
 		asm volatile (
@@ -96,5 +94,5 @@
 			: "=r" (arg)
 		);
-
+		
 		scheduler();
 		asm volatile (
@@ -125,5 +123,5 @@
 	if (!quiet)
 		printf("Creating %u threads... ", 2 * THREADS);
-
+	
 	for (i = 0; i < THREADS; i++) {
 		thread_t *t;
@@ -163,4 +161,2 @@
 	return "Test failed";
 }
-
-#endif
Index: kernel/test/fpu/mips2.def
===================================================================
--- kernel/test/fpu/mips2.def	(revision 4d0081b03612519a87ec783206812895edace8cf)
+++ kernel/test/fpu/mips2.def	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -1,8 +1,6 @@
-#ifdef mips32
 {
 	"mips2",
 	"MIPS FPU test",
 	&test_mips2,
-	false
+	true
 },
-#endif
Index: kernel/test/fpu/mips2_skip.c
===================================================================
--- kernel/test/fpu/mips2_skip.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
+++ kernel/test/fpu/mips2_skip.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -0,0 +1,34 @@
+/*
+ * Copyright (c) 2009 Martin Decky
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#include <test.h>
+
+char * test_mips2(bool quiet)
+{
+	return NULL;
+}
Index: kernel/test/fpu/sse1.c
===================================================================
--- kernel/test/fpu/sse1.c	(revision 4d0081b03612519a87ec783206812895edace8cf)
+++ kernel/test/fpu/sse1.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -27,6 +27,4 @@
  */
 
-#if (defined(ia32) || defined(amd64) || defined(ia32xen))
-
 #include <print.h>
 #include <debug.h>
@@ -39,7 +37,7 @@
 #include <arch.h>
 
-#define THREADS		25
-#define DELAY   	10000L
-#define ATTEMPTS        5
+#define THREADS   25
+#define DELAY     10000L
+#define ATTEMPTS  5
 
 static atomic_t threads_ok;
@@ -163,4 +161,2 @@
 	return "Test failed";
 }
-
-#endif
Index: kernel/test/fpu/sse1.def
===================================================================
--- kernel/test/fpu/sse1.def	(revision 4d0081b03612519a87ec783206812895edace8cf)
+++ kernel/test/fpu/sse1.def	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -1,3 +1,2 @@
-#if (defined(ia32) || defined(amd64) || defined(ia32xen))
 {
 	"sse1",
@@ -6,3 +5,2 @@
 	true
 },
-#endif
Index: kernel/test/fpu/sse1_skip.c
===================================================================
--- kernel/test/fpu/sse1_skip.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
+++ kernel/test/fpu/sse1_skip.c	(revision 8a72a9ab5a133d8b33aa20a89b8d996a84ba6d60)
@@ -0,0 +1,34 @@
+/*
+ * Copyright (c) 2009 Martin Decky
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#include <test.h>
+
+char * test_sse1(bool quiet)
+{
+	return NULL;
+}
